// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib.asn1;

/**
 * Asn1 type
 */
public class asn1Type {

	/**
	 * End of contents
	 */
	public static final int END_OF_CONTENTS = 0;

	/**
	 * Boolean
	 */
	public static final int BOOLEAN = 1;

	/**
	 * Integer
	 */
	public static final int INTEGER = 2;

	/**
	 * Bit string
	 */
	public static final int BIT_STRING = 3;

	/**
	 * Octet string
	 */
	public static final int OCTET_STRING = 4;

	/**
	 * Null
	 */
	public static final int NULL = 5;

	/**
	 * Object identifier
	 */
	public static final int OBJECT_IDENTIFIER = 6;

	/**
	 * Sequence
	 */
	public static final int SEQUENCE = 16;

	/**
	 * Set
	 */
	public static final int SET = 17;

	/**
	 * Numeric string
	 */
	public static final int NumericString = 18;

	/**
	 * Printable string
	 */
	public static final int PrintableString = 19;

	/**
	 * T61 String
	 */
	public static final int T61String = 20; //also TeletexString

	/**
	 * Video tex string
	 */
	public static final int VideotexString = 21;

	/**
	 * IA5 string
	 */
	public static final int IA5String = 22;

	/**
	 * UTS time
	 */
	public static final int UTCTime = 23;

	/**
	 * Generalized time
	 */
	public static final int GeneralizedTime = 24;

	/**
	 * Graphic string
	 */
	public static final int GraphicString = 25;

	/**
	 * ISO64 string
	 */
	public static final int ISO646String = 26; //also VisibleString

	/**
	 * General string
	 */
	public static final int GeneralString = 27;
}