//dcetest.java
//Data from a DCE TGS_REQ

import krb5.lib.*;
import krb5.lib.asn1.*;
import krb5.lib.asn1.*;

public class dcetest {
	//Unknown
	//Length: 0000007e
	public static final byte[] reqBody = {
		(byte)0x30, (byte)0x7C, (byte)0xA0, (byte)0x07, (byte)0x03, (byte)0x05, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xA2, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72,
		(byte)0x64, (byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67,
		(byte)0xA3, (byte)0x23, (byte)0x30, (byte)0x21, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x03, (byte)0xA1, (byte)0x1A, (byte)0x30, (byte)0x18, (byte)0x1B, (byte)0x05, (byte)0x6B, (byte)0x68, (byte)0x74,
		(byte)0x74, (byte)0x70, (byte)0x1B, (byte)0x0F, (byte)0x62, (byte)0x6C, (byte)0x75, (byte)0x65, (byte)0x73, (byte)0x6B, (byte)0x79, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72,
		(byte)0x67, (byte)0xA5, (byte)0x11, (byte)0x18, (byte)0x0F, (byte)0x31, (byte)0x39, (byte)0x37, (byte)0x30, (byte)0x30, (byte)0x31, (byte)0x30, (byte)0x31, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30,
		(byte)0x30, (byte)0x5A, (byte)0xA7, (byte)0x06, (byte)0x02, (byte)0x04, (byte)0x33, (byte)0x34, (byte)0x5B, (byte)0x99, (byte)0xA8, (byte)0x05, (byte)0x30, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA9,
		(byte)0x11, (byte)0x30, (byte)0x0F, (byte)0x30, (byte)0x0D, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x02, (byte)0xA1, (byte)0x06, (byte)0x04, (byte)0x04, (byte)0x82, (byte)0x69, (byte)0x03, (byte)0xA6
	};

	//Authenticator
	//Length: 0000006f
	public static final byte[] authenticator = {
		(byte)0x62, (byte)0x6D, (byte)0x30, (byte)0x6B, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65,
		(byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA2, (byte)0x15,
		(byte)0x30, (byte)0x13, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x00, (byte)0xA1, (byte)0x0C, (byte)0x30, (byte)0x0A, (byte)0x1B, (byte)0x08, (byte)0x73, (byte)0x61, (byte)0x6E, (byte)0x66, (byte)0x69,
		(byte)0x6C, (byte)0x69, (byte)0x70, (byte)0xA3, (byte)0x1B, (byte)0x30, (byte)0x19, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x02, (byte)0xA1, (byte)0x12, (byte)0x04, (byte)0x10, (byte)0x65, (byte)0xEB,
		(byte)0x4F, (byte)0x8C, (byte)0xFC, (byte)0xEF, (byte)0xA7, (byte)0x1E, (byte)0xC2, (byte)0xCB, (byte)0x23, (byte)0xEB, (byte)0xA1, (byte)0x0D, (byte)0xE7, (byte)0xA5, (byte)0xA4, (byte)0x04, (byte)0x02, (byte)0x02,
		(byte)0x01, (byte)0xBA, (byte)0xA5, (byte)0x11, (byte)0x18, (byte)0x0F, (byte)0x31, (byte)0x39, (byte)0x39, (byte)0x37, (byte)0x30, (byte)0x33, (byte)0x32, (byte)0x32, (byte)0x32, (byte)0x32, (byte)0x32, (byte)0x34,
		(byte)0x35, (byte)0x38, (byte)0x5A
	};

	//TGS_REQ.AP_REQ
	//Length: 000001c0
	public static final byte[] apReq = {
		(byte)0x6E, (byte)0x82, (byte)0x01, (byte)0xBC, (byte)0x30, (byte)0x82, (byte)0x01, (byte)0xB8, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x0E,
		(byte)0xA2, (byte)0x07, (byte)0x03, (byte)0x05, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xA3, (byte)0x82, (byte)0x01, (byte)0x10, (byte)0x61, (byte)0x82, (byte)0x01, (byte)0x0C, (byte)0x30,
		(byte)0x82, (byte)0x01, (byte)0x08, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65, (byte)0x6C,
		(byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA2, (byte)0x2A, (byte)0x30,
		(byte)0x28, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA1, (byte)0x21, (byte)0x30, (byte)0x1F, (byte)0x1B, (byte)0x06, (byte)0x6B, (byte)0x72, (byte)0x62, (byte)0x74, (byte)0x67, (byte)0x74,
		(byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73,
		(byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA3, (byte)0x81, (byte)0xBB, (byte)0x30, (byte)0x81, (byte)0xB8, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA1, (byte)0x03,
		(byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA2, (byte)0x81, (byte)0xAB, (byte)0x04, (byte)0x81, (byte)0xA8, (byte)0x75, (byte)0xA7, (byte)0x2C, (byte)0xFF, (byte)0x2A, (byte)0x08, (byte)0x0E, (byte)0xC6, (byte)0x57,
		(byte)0xFA, (byte)0xBB, (byte)0xD2, (byte)0x04, (byte)0x32, (byte)0x2B, (byte)0x0D, (byte)0xFA, (byte)0x67, (byte)0x7F, (byte)0x33, (byte)0x98, (byte)0x43, (byte)0x51, (byte)0x7C, (byte)0x23, (byte)0xED, (byte)0x84,
		(byte)0x33, (byte)0x72, (byte)0x9C, (byte)0xBB, (byte)0x82, (byte)0xEB, (byte)0x67, (byte)0xA1, (byte)0xCD, (byte)0x2A, (byte)0x1C, (byte)0x77, (byte)0xDD, (byte)0xFC, (byte)0xFA, (byte)0x4D, (byte)0x5F, (byte)0x4D,
		(byte)0x56, (byte)0xB2, (byte)0x07, (byte)0xE4, (byte)0xEC, (byte)0x09, (byte)0x6B, (byte)0xC4, (byte)0xE1, (byte)0xC0, (byte)0xB1, (byte)0x42, (byte)0x30, (byte)0xC4, (byte)0x7C, (byte)0xA1, (byte)0xC5, (byte)0x8F,
		(byte)0x0A, (byte)0x06, (byte)0xA7, (byte)0x42, (byte)0x62, (byte)0x5C, (byte)0x37, (byte)0x29, (byte)0xB8, (byte)0x1E, (byte)0x8E, (byte)0xEB, (byte)0x08, (byte)0x3C, (byte)0x05, (byte)0xDE, (byte)0x94, (byte)0x1F,
		(byte)0xDF, (byte)0x07, (byte)0x0B, (byte)0x90, (byte)0x10, (byte)0xEF, (byte)0x9B, (byte)0x83, (byte)0xEC, (byte)0xF1, (byte)0xC5, (byte)0xAD, (byte)0xCB, (byte)0xA5, (byte)0x77, (byte)0xB5, (byte)0x3F, (byte)0x4F,
		(byte)0xBC, (byte)0xE8, (byte)0x1F, (byte)0x2F, (byte)0x91, (byte)0x5F, (byte)0x0E, (byte)0xF5, (byte)0x5F, (byte)0x67, (byte)0xC6, (byte)0xEF, (byte)0xB4, (byte)0x60, (byte)0x89, (byte)0xA1, (byte)0xD4, (byte)0xFE,
		(byte)0x6E, (byte)0xD6, (byte)0xED, (byte)0xC7, (byte)0x80, (byte)0xCB, (byte)0x65, (byte)0xD0, (byte)0x39, (byte)0x3F, (byte)0xC0, (byte)0xB0, (byte)0x59, (byte)0x2A, (byte)0x71, (byte)0xC2, (byte)0x8A, (byte)0xDF,
		(byte)0xF5, (byte)0x61, (byte)0xA9, (byte)0xD9, (byte)0x6F, (byte)0xEA, (byte)0x2A, (byte)0xEB, (byte)0x5F, (byte)0x6C, (byte)0xD7, (byte)0x0F, (byte)0xA6, (byte)0x93, (byte)0xEC, (byte)0xD6, (byte)0xD4, (byte)0xDE,
		(byte)0x12, (byte)0x8F, (byte)0xAD, (byte)0x25, (byte)0xA4, (byte)0x6C, (byte)0x51, (byte)0xEC, (byte)0xC5, (byte)0xCA, (byte)0x98, (byte)0x97, (byte)0xAF, (byte)0x21, (byte)0x5A, (byte)0xA4, (byte)0x81, (byte)0x8E,
		(byte)0x30, (byte)0x81, (byte)0x8B, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA2, (byte)0x81, (byte)0x83, (byte)0x04, (byte)0x81, (byte)0x80, (byte)0x7F, (byte)0xF1, (byte)0x5F, (byte)0x82,
		(byte)0xC1, (byte)0xD6, (byte)0x68, (byte)0x57, (byte)0xE0, (byte)0xF4, (byte)0x20, (byte)0x85, (byte)0x1F, (byte)0x21, (byte)0xE5, (byte)0xD9, (byte)0xC2, (byte)0xE8, (byte)0x7B, (byte)0x62, (byte)0x02, (byte)0xCF,
		(byte)0xD3, (byte)0x90, (byte)0x5A, (byte)0xAE, (byte)0x6A, (byte)0x44, (byte)0x01, (byte)0xB0, (byte)0x4D, (byte)0xAB, (byte)0x85, (byte)0xC6, (byte)0x49, (byte)0x75, (byte)0x24, (byte)0xCB, (byte)0x51, (byte)0x50,
		(byte)0x24, (byte)0xFA, (byte)0xE2, (byte)0x11, (byte)0x6A, (byte)0x35, (byte)0x83, (byte)0x14, (byte)0x3E, (byte)0x96, (byte)0xD0, (byte)0xDA, (byte)0x94, (byte)0x4D, (byte)0x52, (byte)0x7D, (byte)0x95, (byte)0x19,
		(byte)0x22, (byte)0xF0, (byte)0xE1, (byte)0xC5, (byte)0x58, (byte)0xFB, (byte)0xA8, (byte)0x14, (byte)0xEF, (byte)0x60, (byte)0x7C, (byte)0xCF, (byte)0x44, (byte)0x77, (byte)0x6C, (byte)0x4F, (byte)0x0E, (byte)0x77,
		(byte)0x1D, (byte)0xF5, (byte)0x4D, (byte)0x6A, (byte)0x9C, (byte)0x4A, (byte)0x6C, (byte)0x1F, (byte)0x07, (byte)0x55, (byte)0x07, (byte)0x40, (byte)0x32, (byte)0xAE, (byte)0xDA, (byte)0xEA, (byte)0x76, (byte)0x40,
		(byte)0xF1, (byte)0x1B, (byte)0x04, (byte)0xC5, (byte)0x82, (byte)0xA2, (byte)0xA0, (byte)0x6E, (byte)0xBE, (byte)0xD4, (byte)0xF8, (byte)0xDB, (byte)0x1E, (byte)0x96, (byte)0x1E, (byte)0x9D, (byte)0xD4, (byte)0xE9,
		(byte)0xC9, (byte)0x1F, (byte)0x73, (byte)0x5D, (byte)0x73, (byte)0xB4, (byte)0xBD, (byte)0x58, (byte)0x6B, (byte)0x90, (byte)0xCE, (byte)0xC1, (byte)0x8F, (byte)0xD8, (byte)0x97, (byte)0x42
	};

	//TGS_REQ
	//Length: 0000026b
	public static final byte[] tgsReq = {
		(byte)0x6C, (byte)0x82, (byte)0x02, (byte)0x67, (byte)0x30, (byte)0x82, (byte)0x02, (byte)0x63, (byte)0xA1, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA2, (byte)0x03, (byte)0x02,
		(byte)0x01, (byte)0x0C, (byte)0xA3, (byte)0x82, (byte)0x01, (byte)0xD5, (byte)0x30, (byte)0x82, (byte)0x01, (byte)0xD1, (byte)0x30, (byte)0x82, (byte)0x01, (byte)0xCD, (byte)0xA1, (byte)0x03,
		(byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA2, (byte)0x82, (byte)0x01, (byte)0xC4, (byte)0x04, (byte)0x82, (byte)0x01, (byte)0xC0, (byte)0x6E, (byte)0x82, (byte)0x01, (byte)0xBC, (byte)0x30,
		(byte)0x82, (byte)0x01, (byte)0xB8, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x0E, (byte)0xA2, (byte)0x07, (byte)0x03,
		(byte)0x05, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xA3, (byte)0x82, (byte)0x01, (byte)0x10, (byte)0x61, (byte)0x82, (byte)0x01, (byte)0x0C, (byte)0x30, (byte)0x82,
		(byte)0x01, (byte)0x08, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65,
		(byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67,
		(byte)0xA2, (byte)0x2A, (byte)0x30, (byte)0x28, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA1, (byte)0x21, (byte)0x30, (byte)0x1F, (byte)0x1B, (byte)0x06, (byte)0x6B,
		(byte)0x72, (byte)0x62, (byte)0x74, (byte)0x67, (byte)0x74, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E,
		(byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA3, (byte)0x81, (byte)0xBB, (byte)0x30,
		(byte)0x81, (byte)0xB8, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA1, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA2, (byte)0x81, (byte)0xAB, (byte)0x04,
		(byte)0x81, (byte)0xA8, (byte)0x75, (byte)0xA7, (byte)0x2C, (byte)0xFF, (byte)0x2A, (byte)0x08, (byte)0x0E, (byte)0xC6, (byte)0x57, (byte)0xFA, (byte)0xBB, (byte)0xD2, (byte)0x04, (byte)0x32,
		(byte)0x2B, (byte)0x0D, (byte)0xFA, (byte)0x67, (byte)0x7F, (byte)0x33, (byte)0x98, (byte)0x43, (byte)0x51, (byte)0x7C, (byte)0x23, (byte)0xED, (byte)0x84, (byte)0x33, (byte)0x72, (byte)0x9C,
		(byte)0xBB, (byte)0x82, (byte)0xEB, (byte)0x67, (byte)0xA1, (byte)0xCD, (byte)0x2A, (byte)0x1C, (byte)0x77, (byte)0xDD, (byte)0xFC, (byte)0xFA, (byte)0x4D, (byte)0x5F, (byte)0x4D, (byte)0x56,
		(byte)0xB2, (byte)0x07, (byte)0xE4, (byte)0xEC, (byte)0x09, (byte)0x6B, (byte)0xC4, (byte)0xE1, (byte)0xC0, (byte)0xB1, (byte)0x42, (byte)0x30, (byte)0xC4, (byte)0x7C, (byte)0xA1, (byte)0xC5,
		(byte)0x8F, (byte)0x0A, (byte)0x06, (byte)0xA7, (byte)0x42, (byte)0x62, (byte)0x5C, (byte)0x37, (byte)0x29, (byte)0xB8, (byte)0x1E, (byte)0x8E, (byte)0xEB, (byte)0x08, (byte)0x3C, (byte)0x05,
		(byte)0xDE, (byte)0x94, (byte)0x1F, (byte)0xDF, (byte)0x07, (byte)0x0B, (byte)0x90, (byte)0x10, (byte)0xEF, (byte)0x9B, (byte)0x83, (byte)0xEC, (byte)0xF1, (byte)0xC5, (byte)0xAD, (byte)0xCB,
		(byte)0xA5, (byte)0x77, (byte)0xB5, (byte)0x3F, (byte)0x4F, (byte)0xBC, (byte)0xE8, (byte)0x1F, (byte)0x2F, (byte)0x91, (byte)0x5F, (byte)0x0E, (byte)0xF5, (byte)0x5F, (byte)0x67, (byte)0xC6,
		(byte)0xEF, (byte)0xB4, (byte)0x60, (byte)0x89, (byte)0xA1, (byte)0xD4, (byte)0xFE, (byte)0x6E, (byte)0xD6, (byte)0xED, (byte)0xC7, (byte)0x80, (byte)0xCB, (byte)0x65, (byte)0xD0, (byte)0x39,
		(byte)0x3F, (byte)0xC0, (byte)0xB0, (byte)0x59, (byte)0x2A, (byte)0x71, (byte)0xC2, (byte)0x8A, (byte)0xDF, (byte)0xF5, (byte)0x61, (byte)0xA9, (byte)0xD9, (byte)0x6F, (byte)0xEA, (byte)0x2A,
		(byte)0xEB, (byte)0x5F, (byte)0x6C, (byte)0xD7, (byte)0x0F, (byte)0xA6, (byte)0x93, (byte)0xEC, (byte)0xD6, (byte)0xD4, (byte)0xDE, (byte)0x12, (byte)0x8F, (byte)0xAD, (byte)0x25, (byte)0xA4,
		(byte)0x6C, (byte)0x51, (byte)0xEC, (byte)0xC5, (byte)0xCA, (byte)0x98, (byte)0x97, (byte)0xAF, (byte)0x21, (byte)0x5A, (byte)0xA4, (byte)0x81, (byte)0x8E, (byte)0x30, (byte)0x81, (byte)0x8B,
		(byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA2, (byte)0x81, (byte)0x83, (byte)0x04, (byte)0x81, (byte)0x80, (byte)0x7F, (byte)0xF1, (byte)0x5F, (byte)0x82, (byte)0xC1,
		(byte)0xD6, (byte)0x68, (byte)0x57, (byte)0xE0, (byte)0xF4, (byte)0x20, (byte)0x85, (byte)0x1F, (byte)0x21, (byte)0xE5, (byte)0xD9, (byte)0xC2, (byte)0xE8, (byte)0x7B, (byte)0x62, (byte)0x02,
		(byte)0xCF, (byte)0xD3, (byte)0x90, (byte)0x5A, (byte)0xAE, (byte)0x6A, (byte)0x44, (byte)0x01, (byte)0xB0, (byte)0x4D, (byte)0xAB, (byte)0x85, (byte)0xC6, (byte)0x49, (byte)0x75, (byte)0x24,
		(byte)0xCB, (byte)0x51, (byte)0x50, (byte)0x24, (byte)0xFA, (byte)0xE2, (byte)0x11, (byte)0x6A, (byte)0x35, (byte)0x83, (byte)0x14, (byte)0x3E, (byte)0x96, (byte)0xD0, (byte)0xDA, (byte)0x94,
		(byte)0x4D, (byte)0x52, (byte)0x7D, (byte)0x95, (byte)0x19, (byte)0x22, (byte)0xF0, (byte)0xE1, (byte)0xC5, (byte)0x58, (byte)0xFB, (byte)0xA8, (byte)0x14, (byte)0xEF, (byte)0x60, (byte)0x7C,
		(byte)0xCF, (byte)0x44, (byte)0x77, (byte)0x6C, (byte)0x4F, (byte)0x0E, (byte)0x77, (byte)0x1D, (byte)0xF5, (byte)0x4D, (byte)0x6A, (byte)0x9C, (byte)0x4A, (byte)0x6C, (byte)0x1F, (byte)0x07,
		(byte)0x55, (byte)0x07, (byte)0x40, (byte)0x32, (byte)0xAE, (byte)0xDA, (byte)0xEA, (byte)0x76, (byte)0x40, (byte)0xF1, (byte)0x1B, (byte)0x04, (byte)0xC5, (byte)0x82, (byte)0xA2, (byte)0xA0,
		(byte)0x6E, (byte)0xBE, (byte)0xD4, (byte)0xF8, (byte)0xDB, (byte)0x1E, (byte)0x96, (byte)0x1E, (byte)0x9D, (byte)0xD4, (byte)0xE9, (byte)0xC9, (byte)0x1F, (byte)0x73, (byte)0x5D, (byte)0x73,
		(byte)0xB4, (byte)0xBD, (byte)0x58, (byte)0x6B, (byte)0x90, (byte)0xCE, (byte)0xC1, (byte)0x8F, (byte)0xD8, (byte)0x97, (byte)0x42, (byte)0xA4, (byte)0x7E, (byte)0x30, (byte)0x7C, (byte)0xA0,
		(byte)0x07, (byte)0x03, (byte)0x05, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xA2, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72, (byte)0x64,
		(byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72,
		(byte)0x67, (byte)0xA3, (byte)0x23, (byte)0x30, (byte)0x21, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x03, (byte)0xA1, (byte)0x1A, (byte)0x30, (byte)0x18, (byte)0x1B, (byte)0x05,
		(byte)0x6B, (byte)0x68, (byte)0x74, (byte)0x74, (byte)0x70, (byte)0x1B, (byte)0x0F, (byte)0x62, (byte)0x6C, (byte)0x75, (byte)0x65, (byte)0x73, (byte)0x6B, (byte)0x79, (byte)0x2E, (byte)0x6F,
		(byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA5, (byte)0x11, (byte)0x18, (byte)0x0F, (byte)0x31, (byte)0x39, (byte)0x37, (byte)0x30, (byte)0x30, (byte)0x31,
		(byte)0x30, (byte)0x31, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x5A, (byte)0xA7, (byte)0x06, (byte)0x02, (byte)0x04, (byte)0x33, (byte)0x34, (byte)0x5B,
		(byte)0x99, (byte)0xA8, (byte)0x05, (byte)0x30, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA9, (byte)0x11, (byte)0x30, (byte)0x0F, (byte)0x30, (byte)0x0D, (byte)0xA0, (byte)0x03,
		(byte)0x02, (byte)0x01, (byte)0x02, (byte)0xA1, (byte)0x06, (byte)0x04, (byte)0x04, (byte)0x82, (byte)0x69, (byte)0x03, (byte)0xA6
	};


	public static final byte[] keyValue2 = {
		(byte)0x8A, (byte)0xFB, (byte)0x04, (byte)0xC8, (byte)0x07, (byte)0xCE, (byte)0xA8, (byte)0x2F
	};


	public static final byte[] Confounder2 = {
		(byte)0x70, (byte)0x22, (byte)0xD0, (byte)0x28, (byte)0xA6, (byte)0x6E, (byte)0xB3, (byte)0x52
	};

	public static final byte[] reqBody2 = {
		(byte)0x30, (byte)0x7F, (byte)0xA0, (byte)0x07, (byte)0x03, (byte)0x05, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xA2, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63,
		(byte)0x6F, (byte)0x72, (byte)0x64, (byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66,
		(byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA3, (byte)0x23, (byte)0x30, (byte)0x21, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x03, (byte)0xA1, (byte)0x1A, (byte)0x30,
		(byte)0x18, (byte)0x1B, (byte)0x05, (byte)0x6B, (byte)0x68, (byte)0x74, (byte)0x74, (byte)0x70, (byte)0x1B, (byte)0x0F, (byte)0x62, (byte)0x6C, (byte)0x75, (byte)0x65, (byte)0x73, (byte)0x6B,
		(byte)0x79, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F, (byte)0x72, (byte)0x67, (byte)0xA5, (byte)0x11, (byte)0x18, (byte)0x0F, (byte)0x31, (byte)0x39, (byte)0x37,
		(byte)0x30, (byte)0x30, (byte)0x31, (byte)0x30, (byte)0x31, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x30, (byte)0x5A, (byte)0xA7, (byte)0x06, (byte)0x02, (byte)0x04,
		(byte)0x33, (byte)0x34, (byte)0xB9, (byte)0x4C, (byte)0xA8, (byte)0x08, (byte)0x30, (byte)0x06, (byte)0x02, (byte)0x01, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x01, (byte)0xA9, (byte)0x11,
		(byte)0x30, (byte)0x0F, (byte)0x30, (byte)0x0D, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x02, (byte)0xA1, (byte)0x06, (byte)0x04, (byte)0x04, (byte)0x82, (byte)0x69, (byte)0x27,
		(byte)0x5E
	};

//0x0000006f
	public static final byte[] unencryptedAutheticator2 = {
		(byte)0x62, (byte)0x6D, (byte)0x30, (byte)0x6B, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x05, (byte)0xA1, (byte)0x17, (byte)0x1B, (byte)0x15, (byte)0x63, (byte)0x6F, (byte)0x72,
		(byte)0x64, (byte)0x65, (byte)0x6C, (byte)0x69, (byte)0x61, (byte)0x2E, (byte)0x63, (byte)0x65, (byte)0x6C, (byte)0x6C, (byte)0x2E, (byte)0x6F, (byte)0x73, (byte)0x66, (byte)0x2E, (byte)0x6F,
		(byte)0x72, (byte)0x67, (byte)0xA2, (byte)0x15, (byte)0x30, (byte)0x13, (byte)0xA0, (byte)0x03, (byte)0x02, (byte)0x01, (byte)0x00, (byte)0xA1, (byte)0x0C, (byte)0x30, (byte)0x0A, (byte)0x1B,
		(byte)0x08, (byte)0x73, (byte)0x61, (byte)0x6E, (byte)0x66, (byte)0x69, (byte)0x6C, (byte)0x69, (byte)0x70, (byte)0xA3, (byte)0x1B, (byte)0x30, (byte)0x19, (byte)0xA0, (byte)0x03, (byte)0x02,
		(byte)0x01, (byte)0x02, (byte)0xA1, (byte)0x12, (byte)0x04, (byte)0x10, (byte)0x60, (byte)0x6E, (byte)0xEE, (byte)0x0A, (byte)0xBD, (byte)0xCD, (byte)0xF1, (byte)0x4C, (byte)0x71, (byte)0x45,
		(byte)0xCB, (byte)0xC0, (byte)0x75, (byte)0x79, (byte)0xE6, (byte)0xBE, (byte)0xA4, (byte)0x04, (byte)0x02, (byte)0x02, (byte)0x00, (byte)0xD2, (byte)0xA5, (byte)0x11, (byte)0x18, (byte)0x0F,
		(byte)0x31, (byte)0x39, (byte)0x39, (byte)0x37, (byte)0x30, (byte)0x33, (byte)0x32, (byte)0x33, (byte)0x30, (byte)0x35, (byte)0x30, (byte)0x37, (byte)0x31, (byte)0x36, (byte)0x5A
	};

/*

Checksum
60 6E EE 0A BD CD F1 4C 71 45 CB C0 75 79 E6 BE

ciphertext.length = 00000080

00881560  62 6D 30 6B A0 03 02 01 05 A1 17 1B 15 63 6F 72  bm0k.......cor
00881570  64 65 6C 69 61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F  delia.cell.osf.o
00881580  72 67 A2 15 30 13 A0 03 02 01 00 A1 0C 30 0A 1B  rg.0......0..
00881590  08 73 61 6E 66 69 6C 69 70 A3 1B 30 19 A0 03 02  .sanfilip.0...
008815A0  01 02 A1 12 04 10 60 6E EE 0A BD CD F1 4C 71 45  .....`n.LqE
008815B0  CB C0 75 79 E6 BE A4 04 02 02 00 D2 A5 11 18 0F  uy澤....ҥ...
008815C0  31 39 39 37 30 33 32 33 30 35 30 37 31 36 5A 00  19970323050716Z.
008815D0  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................

00880DB0  8A FB 04 C8 07 CE A8 2F
Processed Key
00880DB0  8A FB 04 C8 07 CE A8 2F

Pre-checksum block
008815E0  70 22 D0 28 A6 6E B3 52 00 00 00 00 62 6D 30 6B  p"(nR....bm0k
008815F0  A0 03 02 01 05 A1 17 1B 15 63 6F 72 64 65 6C 69  .......cordeli
00881600  61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F 72 67 A2 15  a.cell.osf.org.
00881610  30 13 A0 03 02 01 00 A1 0C 30 0A 1B 08 73 61 6E  0......0...san
00881620  66 69 6C 69 70 A3 1B 30 19 A0 03 02 01 02 A1 12  filip.0......
00881630  04 10 60 6E EE 0A BD CD F1 4C 71 45 CB C0 75 79  ..`n.LqEuy
00881640  E6 BE A4 04 02 02 00 D2 A5 11 18 0F 31 39 39 37  澤....ҥ...1997
00881650  30 33 32 33 30 35 30 37 31 36 5A 00 00 00 00 00  0323050716Z.....

Checksum
4A 42 60 63

Post checksum insertion
008815E0  70 22 D0 28 A6 6E B3 52 4A 42 60 63 62 6D 30 6B  p"(nRJB`cbm0k
008815F0  A0 03 02 01 05 A1 17 1B 15 63 6F 72 64 65 6C 69  .......cordeli
00881600  61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F 72 67 A2 15  a.cell.osf.org.
00881610  30 13 A0 03 02 01 00 A1 0C 30 0A 1B 08 73 61 6E  0......0...san
00881620  66 69 6C 69 70 A3 1B 30 19 A0 03 02 01 02 A1 12  filip.0......
00881630  04 10 60 6E EE 0A BD CD F1 4C 71 45 CB C0 75 79  ..`n.LqEuy
00881640  E6 BE A4 04 02 02 00 D2 A5 11 18 0F 31 39 39 37  澤....ҥ...1997
00881650  30 33 32 33 30 35 30 37 31 36 5A 00 00 00 00 00  0323050716Z.....

Post encryption
008815E0  EB 98 48 F0 39 74 69 5F 50 D1 C9 83 1D 4E 2A E8  H9ti_PɃ.N*
008815F0  69 11 A7 18 1F 47 DE 9C 38 51 0E F6 FA 9A 6F D6  i...Gޜ8Q.o
00881600  D9 57 01 32 57 45 9A 36 D2 E4 60 98 CD 68 DC 2C  W.2WE6`h,
00881610  2B CD A5 CA 27 0D C5 E6 34 7E 5E D5 22 23 3D DB  +ͥ'.4~^"#=
00881620  47 B2 65 2B 39 B3 38 97 75 81 67 A5 29 96 2E CB  Ge+98u.g).
00881630  60 E6 1F 5F 98 44 89 F7 7F 9D BF 6A AB 4B 73 26  `._D..jKs&
00881640  3A 9A 6D 07 6B F5 30 9C 6A F4 9F C9 6D 3F 6C A7  :m.k0jm?l
00881650  5A 28 B2 96 C0 2A 9A 8E 72 D9 D9 8C F1 FA 07 EF  Z(*.rٌ.

ivec (=key)
8A FB 04 C8 07 CE A8 2F

apReq
000001c0

00881890  6E 82 01 BC 30 82 01 B8 A0 03 02 01 05 A1 03 02  n.0.......
008818A0  01 0E A2 07 03 05 00 00 00 00 00 A3 82 01 10 61  ............a
008818B0  82 01 0C 30 82 01 08 A0 03 02 01 05 A1 17 1B 15  ..0.........
008818C0  63 6F 72 64 65 6C 69 61 2E 63 65 6C 6C 2E 6F 73  cordelia.cell.os
008818D0  66 2E 6F 72 67 A2 2A 30 28 A0 03 02 01 01 A1 21  f.org*0(....!
008818E0  30 1F 1B 06 6B 72 62 74 67 74 1B 15 63 6F 72 64  0...krbtgt..cord
008818F0  65 6C 69 61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F 72  elia.cell.osf.or
00881900  67 A3 81 BB 30 81 B8 A0 03 02 01 01 A1 03 02 01  g.0........
00881910  01 A2 81 AB 04 81 A8 D0 FF 51 A9 47 3A 2E C2 64  ....QG:.d
00881920  0E 1B BB A6 B7 0A 6A 7B 1C D6 2F 5B F4 61 DD B6  ...j{./[aݶ
00881930  DE B6 0C E7 B3 F8 90 FB 48 79 54 92 C5 0B D8 0F  ޶..HyT..
00881940  FB B0 09 EE 51 97 52 FF 6B 73 6A 62 1D 14 10 BA  	QRksjb...
00881950  BA 74 FB 93 51 6D 14 58 77 D0 7F 40 C1 5E 94 50  tQm.Xw.@^P
00881960  06 05 26 7A 1C 0E 4C AC 5C 8B 71 BA 2F 96 D7 2C  ..&z..L\q/,
00881970  4F 78 B2 BB 01 71 F8 DC B5 84 C4 99 85 3F 22 61  Ox.qܵę?"a
00881980  6E A7 68 73 A6 BE 86 DF 8A 1A 1D 54 44 36 07 C6  nhsߊ..TD6.
00881990  54 70 09 8B BB 39 4F 72 66 DC 16 69 5D C4 95 3A  Tp	9Orf.i]ĕ:
008819A0  B4 A4 7B 99 67 EE CC A5 3D 6C 05 C5 E3 51 A4 5A  {g̥=l.QZ
008819B0  E4 43 C2 BF 34 74 58 05 1E AB A4 D3 71 B1 74 A4  C¿4tX..qt
008819C0  81 8E 30 81 8B A0 03 02 01 01 A2 81 83 04 81 80  ..0.........
008819D0  EB 98 48 F0 39 74 69 5F 50 D1 C9 83 1D 4E 2A E8  H9ti_PɃ.N*
008819E0  69 11 A7 18 1F 47 DE 9C 38 51 0E F6 FA 9A 6F D6  i...Gޜ8Q.o
008819F0  D9 57 01 32 57 45 9A 36 D2 E4 60 98 CD 68 DC 2C  W.2WE6`h,
00881A00  2B CD A5 CA 27 0D C5 E6 34 7E 5E D5 22 23 3D DB  +ͥ'.4~^"#=
00881A10  47 B2 65 2B 39 B3 38 97 75 81 67 A5 29 96 2E CB  Ge+98u.g).
00881A20  60 E6 1F 5F 98 44 89 F7 7F 9D BF 6A AB 4B 73 26  `._D..jKs&
00881A30  3A 9A 6D 07 6B F5 30 9C 6A F4 9F C9 6D 3F 6C A7  :m.k0jm?l
00881A40  5A 28 B2 96 C0 2A 9A 8E 72 D9 D9 8C F1 FA 07 EF  Z(*.rٌ.
00881A50  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................

tgs_req
0000026f

00870B24  6C 82 02 6B 30 82 02 67 A1 03 02 01 05 A2 03 02  l.k0.g......
00870B34  01 0C A3 82 01 D5 30 82 01 D1 30 82 01 CD A1 03  ...0.0.͡.
00870B44  02 01 01 A2 82 01 C4 04 82 01 C0 6E 82 01 BC 30  ......n.0
00870B54  82 01 B8 A0 03 02 01 05 A1 03 02 01 0E A2 07 03  ...........
00870B64  05 00 00 00 00 00 A3 82 01 10 61 82 01 0C 30 82  ........a..0
00870B74  01 08 A0 03 02 01 05 A1 17 1B 15 63 6F 72 64 65  .........corde
00870B84  6C 69 61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F 72 67  lia.cell.osf.org
00870B94  A2 2A 30 28 A0 03 02 01 01 A1 21 30 1F 1B 06 6B  *0(....!0...k
00870BA4  72 62 74 67 74 1B 15 63 6F 72 64 65 6C 69 61 2E  rbtgt..cordelia.
00870BB4  63 65 6C 6C 2E 6F 73 66 2E 6F 72 67 A3 81 BB 30  cell.osf.org.0
00870BC4  81 B8 A0 03 02 01 01 A1 03 02 01 01 A2 81 AB 04  ...........
00870BD4  81 A8 D0 FF 51 A9 47 3A 2E C2 64 0E 1B BB A6 B7  .QG:.d..
00870BE4  0A 6A 7B 1C D6 2F 5B F4 61 DD B6 DE B6 0C E7 B3  .j{./[aݶ޶.
00870BF4  F8 90 FB 48 79 54 92 C5 0B D8 0F FB B0 09 EE 51  .HyT..	Q
00870C04  97 52 FF 6B 73 6A 62 1D 14 10 BA BA 74 FB 93 51  Rksjb...tQ
00870C14  6D 14 58 77 D0 7F 40 C1 5E 94 50 06 05 26 7A 1C  m.Xw.@^P..&z.
00870C24  0E 4C AC 5C 8B 71 BA 2F 96 D7 2C 4F 78 B2 BB 01  .L\q/,Ox.
00870C34  71 F8 DC B5 84 C4 99 85 3F 22 61 6E A7 68 73 A6  qܵę?"anhs
00870C44  BE 86 DF 8A 1A 1D 54 44 36 07 C6 54 70 09 8B BB  ߊ..TD6.Tp	
00870C54  39 4F 72 66 DC 16 69 5D C4 95 3A B4 A4 7B 99 67  9Orf.i]ĕ:{g
00870C64  EE CC A5 3D 6C 05 C5 E3 51 A4 5A E4 43 C2 BF 34  ̥=l.QZC¿4
00870C74  74 58 05 1E AB A4 D3 71 B1 74 A4 81 8E 30 81 8B  tX..qt..0.
00870C84  A0 03 02 01 01 A2 81 83 04 81 80 EB 98 48 F0 39  ........H9
00870C94  74 69 5F 50 D1 C9 83 1D 4E 2A E8 69 11 A7 18 1F  ti_PɃ.N*i...
00870CA4  47 DE 9C 38 51 0E F6 FA 9A 6F D6 D9 57 01 32 57  Gޜ8Q.oW.2W
00870CB4  45 9A 36 D2 E4 60 98 CD 68 DC 2C 2B CD A5 CA 27  E6`h,+ͥ'
00870CC4  0D C5 E6 34 7E 5E D5 22 23 3D DB 47 B2 65 2B 39  .4~^"#=Ge+9
00870CD4  B3 38 97 75 81 67 A5 29 96 2E CB 60 E6 1F 5F 98  8u.g).`._
00870CE4  44 89 F7 7F 9D BF 6A AB 4B 73 26 3A 9A 6D 07 6B  D..jKs&:m.k
00870CF4  F5 30 9C 6A F4 9F C9 6D 3F 6C A7 5A 28 B2 96 C0  0jm?lZ(
00870D04  2A 9A 8E 72 D9 D9 8C F1 FA 07 EF A4 81 81 30 7F  *.rٌ...0.
00870D14  A0 07 03 05 00 40 00 00 00 A2 17 1B 15 63 6F 72  ....@......cor
00870D24  64 65 6C 69 61 2E 63 65 6C 6C 2E 6F 73 66 2E 6F  delia.cell.osf.o
00870D34  72 67 A3 23 30 21 A0 03 02 01 03 A1 1A 30 18 1B  rg#0!.....0..
00870D44  05 6B 68 74 74 70 1B 0F 62 6C 75 65 73 6B 79 2E  .khttp..bluesky.
00870D54  6F 73 66 2E 6F 72 67 A5 11 18 0F 31 39 37 30 30  osf.org...19700
00870D64  31 30 31 30 30 30 30 30 30 5A A7 06 02 04 33 34  101000000Z...34
00870D74  B9 4C A8 08 30 06 02 01 03 02 01 01 A9 11 30 0F  L.0........0.
00870D84  30 0D A0 03 02 01 02 A1 06 04 04 82 69 27 5E 00  0........i'^.
00870D94  69 02 00 A0 0C 08 87 00 3C 00 77 00 00 00 00 00  i.....<.w.....
00870DA4  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................

*/
	public static void dump(String txt, byte[] b) throws Asn1Exception {
		System.out.println(txt + ": " + b.length + " bytes");
		//System.out.println(util.byte2hexString(b));
		//System.out.println();
		krb5.lib.asn1.util.print(b);
		System.out.println();
	}

	public static void main(String args[]) throws Asn1Exception,
		KdcErrException {
		dump("reqBody", reqBody2);

		Checksum cksum = new Checksum(reqBody2);
		dump("Checksum", cksum.asn1Encode());
		
		EncryptionKey key = new EncryptionKey(keyValue2);

		EncryptedData authenticator = new EncryptedData(
			key,
			key.keyValue,
			unencryptedAutheticator2
		);

		dump("Authenticator", authenticator.asn1Encode());
		//dump("AP_Req", apReq);
		//dump("TGS_Req", tgsReq);
	}
}