// Copyright 1997 The Open Group Research Institute.  All rights reserved.
// Copyright 1999 Memesoft.  All rights reserved.

package krb5.lib.ccache;

import krb5.lib.*;

/**
 * Credentials Filter
 */
public class AllCredsFilter implements CredentialsFilter {

	/**
	 * Class constructor
	 */
    public AllCredsFilter() {
    }

	/**
	 * Filter
	 *
	 * @return boolean is a result
	 * @param c is of type Credentials
	 * @see krb5.lib.ccache.Credentials
	 */
    public boolean filter(Credentials c) {
        return true;
    }
}